Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.util
Class SAXEventHandler

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--org.eclipse.hyades.logging.events.cbe.util.SAXEventHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public final class SAXEventHandler
extends org.xml.sax.helpers.DefaultHandler

The `SAXEventHandler` class defines a utility object used for de-serializing `CommonBaseEvent` XML documents and fragments using a Simple API for XML (SAX) parser.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Denilson Nastacio, Paul E. Slauenwhite
See Also:
  `DefaultHandler`

Constructor Summary
`SAXEventHandler()` No argument constructor.

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`void` | `error(org.xml.sax.SAXParseException exception)`
`void` | `fatalError(org.xml.sax.SAXParseException exception)`
`AssociationEngine[]` | `getAssociationEngines()` Returns the list of `AssociationEngine` objects created when de-serializing a Common Base Event XML document.
`CommonBaseEvent[]` | `getCommonBaseEvents()` Returns the list of `CommonBaseEvent` objects created when de-serializing a Common Base Event XML document or fragment.
`void` | `init()` Initialized the SAX parser to a newly constructed state.
`void` | `setDocumentLocator(org.xml.sax.Locator loc)`
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)`
`void` | `warning(org.xml.sax.SAXParseException exception)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startDocument, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXEventHandler

    public SAXEventHandler()

  No argument constructor.

Method Detail

### init

    public void init()

  Initialized the SAX parser to a newly constructed state.

### getCommonBaseEvents

    public CommonBaseEvent[] getCommonBaseEvents()

  Returns the list of `CommonBaseEvent` objects created when de-serializing a Common Base Event XML document or fragment.

  This API will return null if no `CommonBaseEvent` objects have been parsed.

  Returns:
    List of `CommonBaseEvent` objects created when de-serializing a Common Base Event XML document or fragment, otherwise null if no `CommonBaseEvent` objects have been parsed.

### getAssociationEngines

    public AssociationEngine[] getAssociationEngines()

  Returns the list of `AssociationEngine` objects created when de-serializing a Common Base Event XML document.

  This API will return null if no `AssociationEngine` objects have been parsed.

  Returns:
    List of `AssociationEngine` objects created when de-serializing a Common Base Event XML document or fragment, otherwise null if no `AssociationEngine` objects have been parsed.

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator loc)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `setDocumentLocator` in class `org.xml.sax.helpers.DefaultHandler`
  See Also:
    `ContentHandler.setDocumentLocator(org.xml.sax.Locator)`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`
    `org.xml.sax.SAXException`
  See Also:
    `ContentHandler.characters(char[], int, int)`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws org.xml.sax.SAXException

  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startPrefixMapping` in class `org.xml.sax.helpers.DefaultHandler`
    `org.xml.sax.SAXException`
  See Also:
    `ContentHandler.startPrefixMapping(java.lang.String, java.lang.String)`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`
    `org.xml.sax.SAXException`
  See Also:
    `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`
    `org.xml.sax.SAXException`
  See Also:
    `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`

### warning

    public void warning(org.xml.sax.SAXParseException exception)
                 throws org.xml.sax.SAXException

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
  Overrides:
    `warning` in class `org.xml.sax.helpers.DefaultHandler`
    `org.xml.sax.SAXException`

### error

    public void error(org.xml.sax.SAXParseException exception)
               throws org.xml.sax.SAXException

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Overrides:
    `error` in class `org.xml.sax.helpers.DefaultHandler`
    `org.xml.sax.SAXException`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)
                    throws org.xml.sax.SAXException

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Overrides:
    `fatalError` in class `org.xml.sax.helpers.DefaultHandler`
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD